
Name:		subtitlecomposer
Version:	0.7.0
Release:	%mkrel 2
Summary:	A text-based subtitles editor
License:	GPLv2+
Group:		Video
URL:		https://github.com/maxrd2/subtitlecomposer
Source0:	https://github.com/maxrd2/%{name}/archive/v%{version}/%{name}-%{version}.tar.xz
Patch0:		subtitlecomposer-0.6.6-mimetypes.patch
BuildRequires: gettext
BuildRequires: kf5-macros
BuildRequires: qttools5
BuildRequires: ffmpeg-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64gstreamer1.0-devel
BuildRequires: lib64gstreamer-plugins-base1.0-devel
BuildRequires: lib64icu-devel
BuildRequires: lib64kcodecs-devel
BuildRequires: lib64kconfig-devel
BuildRequires: lib64kcoreaddons-devel
BuildRequires: lib64kf5completion-devel
BuildRequires: lib64kf5configwidgets-devel
BuildRequires: lib64kf5i18n-devel
BuildRequires: lib64kf5kross-devel
BuildRequires: lib64kf5sonnetui-devel
BuildRequires: lib64kf5textwidgets-devel
BuildRequires: lib64kf5widgetsaddons-devel
BuildRequires: lib64kf5xmlgui-devel
BuildRequires: lib64kio-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5script-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: lib64qt5xml-devel
BuildRequires: lib64x11-devel
BuildRequires: lib64xine1.2-devel
BuildRequires: mpv-devel
BuildRequires: phonon4qt5-devel
BuildRequires: qtbase5-common-devel

%description
A text-based subtitles editor that supports basic operations as well as more
advanced ones, aiming to become an improved version of Subtitle Workshop for
every platform supported by KF5 (KDE Frameworks 5).

Features:

  * Support for multiple formats, including SubRip, MicroDVD, SSA/ASS
    (without advanced styles), MPlayer, TMPlayer and YouTube captions.
  * Live preview of subtitles and video with support for multiple backends
    (GStreamer, MPlayer/2, MPV, Xine, Phonon), audio channel selection and
    full screen mode.
  * Time shifting and adjusting, lines duration calculation, synchronization
    with video, etc.
  * Working with original subtitle and translation.
  * Texts styles (italic, bold, underline, stroke, color), spell checking,
    automatic translation (using Google services), etc.
  * Joining and splitting of files.
  * Automatic detection of errors.
  * Editing of subtitles through scripting (Ruby, Python, JavaScript and other
    languages supported by Kross).

%files -f %{name}.lang
%{_kf5_bindir}/%{name}
%{_kf5_applicationdir}/%{name}.desktop
%config(noreplace) %{_kf5_sysconfdir}/xdg/%{name}rc
%{_kf5_datadir}/kxmlgui5/%{name}/%{name}ui.rc
%{_kf5_datadir}/%{name}/
%{_kf5_libdir}/%{name}/
%{_kf5_iconsdir}/hicolor/*/*/*.png
%{_kf5_datadir}/mime/packages/%{name}.xml
%{_kf5_datadir}/metainfo/subtitlecomposer.desktop.appdata.xml
#------------------------------------------------------------------------------

%prep
%setup -qn SubtitleComposer-%{version}
%apply_patches

# fix permissions
chmod 644 ChangeLog

%build
%cmake_kf5 -DKDE_INSTALL_LIBDIR=%{_lib}
%make_build

%install
%make_install -C build

# fix permissions
chmod 755 %{buildroot}%{_kf5_datadir}/%{name}/scripts/*.py
chmod 755 %{buildroot}%{_kf5_datadir}/%{name}/scripts/*.rb

# we don't want these
find %{buildroot} -name '*.h' -delete

desktop-file-install --vendor="" \
 --remove-category='AudioVideo' \
 --add-category='X-MandrivaLinux-Multimedia-Video' \
 %{buildroot}%{_datadir}/applications/*.desktop


%find_lang %{name}


%changelog
* Mon Oct 07 2019 tex - 0.7.0-2pclos2019
- rebuild against updates

* Sat Jul 13 2019 tex - 0.7.0-1pclos2019
- new version

* Tue Apr 02 2019 tex 0.6.6-2pclos2019
- Qt5 Rebuild
